com.google.appengine.api.conversion

## Class Conversion

- java.lang.Object
- - com.google.appengine.api.conversion.Conversion

-     public final class Conversion
      extends java.lang.Object

  A single immutable conversion from one file format to another.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Conversion(Document input, java.lang.String outputMimeType)` Constructs a conversion with default options.
    `Conversion(Document input, java.lang.String outputMimeType, ConversionOptions options)` Constructs a conversion with specified options.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `Document` | `getInputDoc()` Returns the conversion input document.
    `ConversionOptions` | `getOptions()` Returns the conversion options setting.
    `java.lang.String` | `getOutputMimeType()` Returns the conversion output mime type.
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Conversion

          public Conversion(Document input,
                    java.lang.String outputMimeType)

      Constructs a conversion with default options.
      Parameters:
        `input` - the input document
        `outputMimeType` - the output mime type
      Throws:
        `java.lang.IllegalArgumentException` - if the input document is invalid for conversion

    - #### Conversion

          public Conversion(Document input,
                    java.lang.String outputMimeType,
                    ConversionOptions options)

      Constructs a conversion with specified options.
      Parameters:
        `input` - the input document
        `outputMimeType` - the output mime type
        `options` - the conversion options setting

  - ### Method Detail

    - #### getInputDoc

          public Document getInputDoc()

      Returns the conversion input document.

    - #### getOutputMimeType

          public java.lang.String getOutputMimeType()

      Returns the conversion output mime type.

    - #### getOptions

          public ConversionOptions getOptions()

      Returns the conversion options setting.

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`